Собираем libopenshot на Debian

Материал из poiuty wiki
Перейти к: навигация, поиск

Собираем libopenshot на debian 8. Добавим репозиторий.

echo "deb http://www.deb-multimedia.org jessie main non-free" >> /etc/apt/sources.list
apt-get update
apt-get install deb-multimedia-keyring
apt-get update

Установим пакеты.

apt-get install qt5-default build-essential libmysqlclient-dev libmagick++-dev imagemagick libmagickwand-dev libmagickcore-dev 
apt-get install libasound2-dev qtmultimedia5-dev swig doxygen python3-dev python3 ruby libunittest++-dev git cmake libxinerama-dev 
apt-get install libavformat-dev libavcodec-dev libavutil-dev libavdevice-dev libavresample-dev libswscale-dev libxcursor-dev ffmpeg x264

Установка libopenshot-audio из исходников.

cd ~
git https://github.com/OpenShot/libopenshot-audio.git
cd /root/libopenshot-audio
mkdir build
cd build
cmake ../
make
make install

Установка libopenshot из исходников.

cd ~
git clone https://github.com/OpenShot/libopenshot.git
cd /root/libopenshot
mkdir build
cd build
cmake ../
make
make install

Можем получить ошибку.

-- Could NOT find PythonInterp: Found unsuitable version "2.7.9", but required is at least "3" (found /usr/bin/python)

Исправить можно так (плохой фикс).

rm /usr/bin/python
ln -s /usr/bin/python3.4 /usr/bin/python